Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl.event.listeners
Class CDIBAMProcessEventListener

    java.lang.Object
      org.droolsjbpm.services.impl.event.listeners.CDIBAMProcessEventListener

All Implemented Interfaces:
  EventListener, ProcessEventListener

    @ApplicationScoped
    public class CDIBAMProcessEventListener

extends Object
implements ProcessEventListener

Constructor Summary
`CDIBAMProcessEventListener()`

Method Summary
`void` | `afterNodeLeft(ProcessNodeLeftEvent pnle)` This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).
`void` | `afterNodeTriggered(ProcessNodeTriggeredEvent pnte)` This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).
`void` | `afterProcessCompleted(ProcessCompletedEvent pce)` This listener method is invoked right after a process instance has been completed (or aborted).
`void` | `afterProcessStarted(ProcessStartedEvent pse)` This listener method is invoked right after a process instance has been started.
`void` | `afterVariableChanged(ProcessVariableChangedEvent pvce)` This listener method is invoked right after the value of a process variable has been changed.
`void` | `beforeNodeLeft(ProcessNodeLeftEvent pnle)` This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).
`void` | `beforeNodeTriggered(ProcessNodeTriggeredEvent pnte)` This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).
`void` | `beforeProcessCompleted(ProcessCompletedEvent pce)` This listener method is invoked right before a process instance is being completed (or aborted).
`void` | `beforeProcessStarted(ProcessStartedEvent pse)` This listener method is invoked right before a process instance is being started.
`void` | `beforeVariableChanged(ProcessVariableChangedEvent pvce)` This listener method is invoked right before the value of a process variable is being changed.
`void` | `setDomainName(String domainName)`
`void` | `setSessionManager(SessionManager sessionManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDIBAMProcessEventListener

    public CDIBAMProcessEventListener()

Method Detail

### beforeProcessStarted

    public void beforeProcessStarted(ProcessStartedEvent pse)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a process instance is being started.

  Specified by:
    `beforeProcessStarted` in interface `ProcessEventListener`

### afterProcessStarted

    public void afterProcessStarted(ProcessStartedEvent pse)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a process instance has been started.

  Specified by:
    `afterProcessStarted` in interface `ProcessEventListener`

### beforeProcessCompleted

    public void beforeProcessCompleted(ProcessCompletedEvent pce)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a process instance is being completed (or aborted).

  Specified by:
    `beforeProcessCompleted` in interface `ProcessEventListener`

### afterProcessCompleted

    public void afterProcessCompleted(ProcessCompletedEvent pce)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a process instance has been completed (or aborted).

  Specified by:
    `afterProcessCompleted` in interface `ProcessEventListener`

### beforeNodeTriggered

    public void beforeNodeTriggered(ProcessNodeTriggeredEvent pnte)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).

  Specified by:
    `beforeNodeTriggered` in interface `ProcessEventListener`

### afterNodeTriggered

    public void afterNodeTriggered(ProcessNodeTriggeredEvent pnte)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).

  Specified by:
    `afterNodeTriggered` in interface `ProcessEventListener`

### beforeNodeLeft

    public void beforeNodeLeft(ProcessNodeLeftEvent pnle)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).

  Specified by:
    `beforeNodeLeft` in interface `ProcessEventListener`

### afterNodeLeft

    public void afterNodeLeft(ProcessNodeLeftEvent pnle)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).

  Specified by:
    `afterNodeLeft` in interface `ProcessEventListener`

### beforeVariableChanged

    public void beforeVariableChanged(ProcessVariableChangedEvent pvce)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before the value of a process variable is being changed.

  Specified by:
    `beforeVariableChanged` in interface `ProcessEventListener`

### afterVariableChanged

    public void afterVariableChanged(ProcessVariableChangedEvent pvce)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after the value of a process variable has been changed.

  Specified by:
    `afterVariableChanged` in interface `ProcessEventListener`

### setDomainName

    public void setDomainName(String domainName)

### setSessionManager

    public void setSessionManager(SessionManager sessionManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.